%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define modulename comoonics

Summary: Comoonics cluster configuration utilities written in Python
Name: comoonics-cluster-py
Version: 0.1
Release: 22
Source0: http://www.open-sharedroot.org/development/comoonics-cluster-py/comoonics-cluster-py-%{version}.tar.gz
License: GPLv2+
Group: Development/Libraries
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: python PyXML comoonics-base-py
Url: http://www.open-sharedroot.org/development/comoonics-cluster-py
BuildRequires: python-devel

%description
 Comoonics cluster configuration utilities written in Python 

%prep
%setup -q

%build
python setup.py %{name} build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py %{name} install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/*.egg-info
%dir %{python_sitelib}/comoonics/cluster
%{python_sitelib}/comoonics/cluster/*.py
%{python_sitelib}/comoonics/cluster/*.pyc
%{python_sitelib}/comoonics/cluster/*.pyo
%dir %{python_sitelib}/comoonics/cluster/helper
%{python_sitelib}/comoonics/cluster/helper/*.py
%{python_sitelib}/comoonics/cluster/helper/*.pyc
%{python_sitelib}/comoonics/cluster/helper/*.pyo
/usr/share/man/man1/com-queryclusterconf.1.gz
%attr(0755, root, root) /usr/bin/com-queryclusterconf
%doc README.txt LICENSE.txt

%changelog
* Wed Jul 22 2009 MG <grimme@atix.de>, 0.1-22
- fixed bugs in querymap
- moved com-queryclusterconf to getopts

* Tue Jul 21 2009 MG <grimme@atix.de>, 0.1-21
- made fedora compliant

* Tue Jul 14 2009 MG <grimme@atix.de>, 0.1-20
- Made dependent on comoonics-base-py

* Mon Jul 06 2009 MG <grimme@atix.de>, 0.1-19
- Made python 2.6 compatible
- Code review/write

* Tue Feb 24 2009 MG <grimme@atix.de>, 0.1-17
- added a helper method for parsing the clusterconfiguration

* Mon Aug 04 2008 MG <grimme@atix.de>, 0.1-16
- added non static clusteroptions and redhat helper class
- fixed some unittesting

* Fri Jun 20 2008 MH <hlawatschek@atix.de>, 0.1-15
- removed default mountopts

* Wed Jun 18 2008 MH <hlawatschek@atix.de>, 0.1-14
- added query for nodenamebyid

* Tue Jun 10 2008 MG <grimme@atix.de>, 0.1-13
- added cluster.conf conversion

* Wed Jun 04 2008 MG <grimme@atix.de>, 0.1-12
- added createOCFS2ClusterConf

* Tue May 20 2008 MG <grimme@atix.de>, 0.1-11
- Changed the text of an errormessage to be better readable.

* Fri May 09 2008 MG <grimme@atix.de>, 0.1-10
- Implemented BUG#218 for creating hosts with dhcp

* Tue Apr 08 2008 AO <offermann@atix.de>, 0.1-9
- added new methods
- added posibility to hand over a hash to ClusterRepository (instead of an xml-object)
- changed binaries to fix use of log parameters

* Fri Feb 29 2008 MH <hlawatschek@atix.de>, 0.1-7
- added new methods

* Thu Jan 24 2008 MG <grimme@atix.de>, 0.1-6
- rebuild for rpmspecfile updates

* Wed Sep 19 2007 AO <offermann@atix.de>, 0.1-5
- bug fixed BZ #79
- added unittests
- adapted code in dependence on Python Style Guide

* Tue Sep 04 2007 MH <hlawatschek@atix.de>, 0.1-4
- bug fixes
- added man pages

* Fri Aug 03 2007 AO <offermann@atix.de>, 0.1-1
  initial revision
